Bug 682538 - geos-3.2.1-1.fc13.src.rpm does not build on Fedora-13 for ARM
geos-3.2.1-1.fc13.src.rpm does not build on Fedora-13 for ARM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: geos (Show other bugs)
13
arm7 Linux
high Severity medium
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2011-03-06 09:07 EST by Niels de Vos
Modified: 2011-06-27 08:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 08:03:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Updated patch for the spec-file to include geos-3.2.0-ARM.patch (824 bytes, patch)
2011-03-06 09:07 EST, Niels de Vos
no flags Details | Diff

  None (edit)
Description Niels de Vos 2011-03-06 09:07:44 EST
Created attachment 482520 [details]
Updated patch for the spec-file to include geos-3.2.0-ARM.patch

Description of problem:
Fedora 13 is the current release for ARM hardware, unfortunately geos does not build on this architecture.

A ticket (https://fedorahosted.org/arm/ticket/16) has been opened for this at the arm trac instance, packages (at least postgis) depend on geos to be available.


Version-Release number of selected component (if applicable):
geos-3.2.1-1.fc13.src.rpm


How reproducible:
100%


Steps to Reproduce:
1. fedpkg clone geos
2. fedpkg switch-branch f13
3. fedpkg giturl
4. arm-koji build --scratch dist-f13 <url>

  
Actual results:
The scratch build (http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=87870) fails with

/.libs/libnoding.a(MCIndexSnapRounder.o):(.data.rel.ro+0x0): multiple definition of `vtable for geos::noding::snapround::MCIndexSnapRounder'
.libs/inlines.o:(.data.rel.ro+0x0): first defined here
noding/.libs/libnoding.a(MCIndexSnapRounder.o): In function `.LANCHOR1':
MCIndexSnapRounder.cpp:(.rodata+0xe8): multiple definition of `typeinfo name for geos::noding::snapround::MCIndexSnapRounder'
.libs/inlines.o:inlines.cpp:(.rodata+0x2e0): first defined here
noding/.libs/libnoding.a(MCIndexSnapRounder.o):(.data.rel.ro+0x18): multiple definition of `typeinfo for geos::noding::snapround::MCIndexSnapRounder'
.libs/inlines.o:(.data.rel.ro+0xb0): first defined here
collect2: ld returned 1 exit status


Expected results:
The scratch build succeeds


Additional info:
This issue was mentioned upstream:
- http://trac.osgeo.org/geos/ticket/222
A patch is available:
- http://trac.osgeo.org/geos/attachment/ticket/222/geos-3.2.0-ARM.patch

Updating the .spec with the attached geos_for_arm.patch makes the build succeed on both arm5vtel and x86_64:
- http://koji.fedoraproject.org/koji/taskinfo?taskID=2888441 (x86_64)
- http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=87879 (arm5vtel)
Comment 1 Bug Zapper 2011-05-30 07:05:14 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Niels de Vos 2011-05-30 07:10:32 EDT
Hi Devrim,

please let me know how you proceed with this, or possibly updating geos to a new version that builds on ARM

Thanks,
Niels
Comment 3 Bug Zapper 2011-06-27 08:03:32 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.